#ifdef WIN32
#ifndef WINDOWSSTORE_H
#define WINDOWSSTORE_H

#include <windows.h>
#include <wincrypt.h>

#include <stdbool.h>

/** @brief Access the Windows certificate store
 *
 * @param [in] to_install strv of DER encoded certificates to be added.
 * @param [in] to_remove strv of DER encoded certificates to be remvoed.
 * @param [in] user_store set to True if the certificates should be installed
 *             only for the current user. O for system wide installation.
 * @returns 0 on success an errorcode otherwise.
 */
int write_stores_win (char **to_install, char **to_remove,
                      bool user_store);

#endif // WINDOWSSTORE_H
#endif // WIN32
